Bug 238587 - snmptrapd places <UNKNOWN> instead of IP/Hostname
snmptrapd places <UNKNOWN> instead of IP/Hostname
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 13:19 EDT by Larry Low
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: net-snmp-5.3.1-15.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 05:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Low 2007-05-01 13:19:58 EDT
Description of problem:
snmptrapd places <UNKNOWN> instead of IP/Hostname
This happens both in Syslog and if the data is passed to a traphandler.  This is
the first line of traphandler output that should usually contain an IP or
hostname but instead displays <UNKNOWN>

Version-Release number of selected component (if applicable):
net-snmp-5.3.1-14

How reproducible:
100%

Actual results:
May  1 13:17:18 clehbnocserv7 snmptrapd[1924]: <UNKNOWN> [UDP: [5.5.5.5]:53933]:
Trap , DISMAN-EVENT-MIB::sysUpTimeInstance = Timeticks: (167502926) 19 days,
9:17:09.26, SNMPv2-MIB::snmpTrapOID.0 = OID:
CISCO-SMI::ciscoExperiment.19.2.0.2, DS1-MIB::dsx1LineStatus.5 = INTEGER: 180,
DS1-MIB::dsx1LineIndex.5 = INTEGER: 5

Expected results:
May  1 13:17:18 clehbnocserv7 snmptrapd[1924]: joebobsserver [UDP:
[5.5.5.5]:53933]: Trap , DISMAN-EVENT-MIB::sysUpTimeInstance = Timeticks:
(167502926) 19 days, 9:17:09.26, SNMPv2-MIB::snmpTrapOID.0 = OID:
CISCO-SMI::ciscoExperiment.19.2.0.2, DS1-MIB::dsx1LineStatus.5 = INTEGER: 180,
DS1-MIB::dsx1LineIndex.5 = INTEGER: 5

Additional info:
I used 5.5.5.5 as an example in which it would resolve to joebobsserver.
Comment 1 Jan Safranek 2007-07-16 05:15:55 EDT
net-snmp-5.3.1-15.fc6 has been pushed for FC6, which should resolve this issue.
If these problems are still present in this version, then please make note of it
in this bug report. 

Note You need to log in before you can comment on or make changes to this bug.